.blog_cards_block.bg_color {
    background: var(--bcab-sec-bg-color);
    position: relative;
}
.blog_cards_block.bg_color::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-image: var(--bcab-bg-overlay-img);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}
.blog_cards_block {
    position: relative;
    z-index: 99;
}

.blog_cards_block .main_title_wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 3rem;
    margin-bottom: 3.8rem;
}
.blog_cards_block .common-title {
    margin-bottom: 0;
    text-align: center;
}
.blog_cards_block .title_divider {
    width: 214px;
    height: 8px;
    display: block;
    flex: 0 0 auto;
}

.blogs_grid {
    display: grid;
    gap: 20px;
    grid-template-columns: repeat(4, minmax(0, 1fr));
    z-index: 999;
}
/*.blogs_grid:not(.center_align_grid) {
    grid-template-columns: repeat(4, minmax(0, 1fr));
}
.blogs_grid.center_align_grid {
    grid-template-columns: repeat(auto-fit, 290px);
    justify-content: center;
}*/
.blog_card {
    display: flex;
    flex-direction: column;
    height: auto;
    border-radius: 10px;
    background: var(--white);
    box-shadow: 0px 8px 25px 0px #E2E3E5;
    overflow: hidden;
}
.blog_cards_block.bg_color .blog_card {
    box-shadow: none;
}
.blog_card_image {
    width: 100%;
    height: 240px;
    object-fit: cover;
    display: block;
    flex-shrink: 0;
}
.blog_card_body {
    display: flex;
    flex-direction: column;
    flex: 1;
    padding: 20px 15px;
}
.blog_card_date {
    margin-bottom: 11px;
    color: var(--defaultFontColor) !important;
    font-size: 12px;
    font-weight: 500;
    line-height: 15px;
    letter-spacing: 0.02px;
}
.blog_card_title {
    margin: 0 0 10px;
    color: var(--black) !important;
    font-size: 14px;
    font-weight: 600;
    line-height: 20px;
    letter-spacing: 0.02px;

    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    
    min-height: 40px;
}
.blog_card_desc {
    color: var(--defaultFontColor) !important;
    font-size: 14px;
    font-weight: 500;
    line-height: 20px;
    letter-spacing: 0.02px;

    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    
    min-height: 40px;
    margin-bottom: 20px;
}
.blog_card_link {
    margin-top: auto;
    display: block;
    color: var(--primaryFontColor) !important;
    text-decoration: none;
    text-align: center;
    font-size: 16px;
    font-weight: 700;
    line-height: 23px;
    transition: color 0.2s ease;
    cursor: pointer;
}
.blog_card_link:hover {
    color: var(--secondaryFontColor) !important;
}


@media (max-width: 1199px) {
    .blogs_grid {
        grid-template-columns: repeat(3, minmax(0, 1fr));
    }
}
@media (max-width: 992px) {
    .blog_cards_block .title_divider {
        display: none;
    }
    .blog_cards_block .main_title_wrapper {
        margin-bottom: 0px;
    }
}
@media (max-width: 900px) {
    .blogs_grid {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }
}
@media (max-width: 600px) {
    .blogs_grid {
        grid-template-columns: 1fr;
    }
}